@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;700&display=swap');
@import url("https://use.typekit.net/nzx7orx.css");


html {
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
}

* {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  max-width: 1280px;
  font-size: 18px;
  margin: 0 auto;
  padding: 0;
}

:root {
  --bg-color-body: whitesmoke;
  --bg-color-navbar: #343234e9;
  --br-color-a: whitesmoke;
  --br-color-button-a: #343234e9;
  --font-color-text: #343234;
  --font-color-navbar: whitesmoke;
  --font-color-navbar-underline-home: red;
  --font-color-navbar-underline-rent: yellow;
  --font-color-navbar-underline-rese: pink;
  --font-color-navbar-underline-cont: orange;
  --font-color-navbar-underline-logo: lightblue;

  --h1--header-font-size: 2.2rem;
  --h2--header-font-size: 1.9rem;
  --h3--header-font-size: 1.5rem;
  --h4--header-font-size: 1rem;
  --h5--header-font-size: 0.7rem;

  --font-logo-h1: "chantal", sans-serif;
  --font-text-h2-h3-navbar: "pf-reminder", sans-serif;
  --font-text-para: "Roboto", sans-serif;
}

/*  GLOBAL ELEMENTS SETTINGS*/
body {
  position: relative;
  font-family: var(--font-text-para);
  font-weight: 300;
  color: var(--font-color-text);
  background: #fceabb;
  background: -webkit-linear-gradient(to bottom, #f8b500, #fceabb);
  background: linear-gradient(to bottom, #f8b500, #fceabb);
}

header {
  border-bottom: 2px solid var(--br-color-a);
}

h1 {
  margin: 50px 2vw;
  text-align: center;
  font-family: var(--font-logo-h1);
  font-size: var(--h1--header-font-size);
}

h2,
h3,
h4 {
  margin-top: 40px;
  margin-bottom: 10px;
  font-family: var(--font-text-h2-h3-navbar);
  font-weight: bold;
}

h2 {
  font-size: var(--h2--header-font-size);
}

h3 {
  font-size: var(--h3--header-font-size);
}

h4 {
  font-size: var(--h4--header-font-size);

}

hr {
  max-width: 1024px;
}

section {
  margin: 50px 2vw;
}

p {
  margin: 5px 0;
}

/*  NAV BAR CONFIG  */

nav {
  padding: 5px 20px;
  font-family: var(--font-text-h2-h3-navbar);
  background: var(--bg-color-navbar);
}

ul {
  list-style-type: none;
}

a {
  font-size: 20px;
  color: var(--font-color-navbar);
  text-decoration: none;
}

a.blue:hover {
  text-decoration: underline var(--font-color-navbar-underline-logo);
  text-decoration-thickness: 5px;
}

a.red:hover {
  text-decoration: underline var(--font-color-navbar-underline-home);
  text-decoration-thickness: 5px;
}

a.yellow:hover {
  text-decoration: underline var(--font-color-navbar-underline-rent);
  text-decoration-thickness: 5px;
}

a.pink:hover {
  text-decoration: underline var(--font-color-navbar-underline-rese);
  text-decoration-thickness: 5px;
}

a.orange:hover {
  text-decoration: underline var(--font-color-navbar-underline-cont);
  text-decoration-thickness: 5px;
}

.link.active {
  padding: 14px 16px;
  color: var(--font-color-text);
  background: rgb(242, 224, 184);
}

.logo img {
  width: 100px;
  height: auto;
}

.logo a {
  font-family: var(--font-logo-h1);
  font-size: 30px;
}

.menu li {
  margin: 0;
  padding: 15px 10px;
  white-space: nowrap;
}

.button.signin {
  border-bottom: 1px solid gray;
}

.button.signin:hover,
.button.login:hover {
  text-decoration: underline rgb(166, 236, 75);
  text-decoration-thickness: 5px;
}

.menu {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.tg {
  order: 1;
}

.item.button {
  order: 2;
}

/**HAMBURGER CONFIG**/
.item {
  width: 100%;
  text-align: center;
  order: 3;
  display: none;
}

.item.open {
  display: block;
  width: 100%;
}

.item.open a {
  display: block;
}

.toggle::before {
  content: '☰';
}

.toggle.open::before {
  content: '✖';
}

.toggle {
  text-align: center;
  font-size: 1.5rem;
  font-weight: 600;
  width: 30px;
  height: 30px;
}

/* END NAVBAR CONFIG  */

/* MAIN HERO IMG CONFIG  */

.strong {
  font-weight: bold;
}

.hero.container {
  position: relative;
  width: 100%;
  height: auto;
}

.hero img {
  width: 100%;
  height: auto;
}

.hero-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 15px;
  text-decoration: none;
  text-align: center;
  border: 2px solid var(--br-color-a);
  border-radius: 8px;
  background: var(--br-color-button-a);
}

.contact-button {
  position: absolute;
  top: 95%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 15px;
  text-decoration: none;
  text-shadow: none;
  text-align: center;
  border: 2px solid var(--br-color-a);
  border-radius: 8px;
  background: var(--br-color-button-a);
}

.hero a:hover,
.contact-button:hover {
  color: #343234;
  background: whitesmoke;
  text-shadow: none;
}

.hero img.logo {
  display: none;
}

/*  Section CARD & RENTAL FACILITIES*/
.title,
.subtitle.slogan {
  text-align: center;
}

main {
  background: #e8e5d7;
}

.card.information p,
.rental p {
  margin-bottom: 30px;
}

.facilities {
  margin-top: 20px;
}

.card.information h3 {
  padding: 5px 0;
  background: var(--font-color-navbar-underline-cont);
}

.card.el-centro h3,
.card.puerta-maya h3 {
  padding: 5px 0;
  background: var(--font-color-navbar-underline-logo);
}

.rental img {
  width: 100%;
  height: auto;
  cursor: pointer;
  border: 2px solid var(--font-color-navbar-underline-logo);
  border-radius: 10px;
}

.rental {
  text-align: left;
}

.italic {
  font-style: italic;
}

/* WEATHER STICKY*/

.weather-container h4 {
  margin: 5px;
  align-items: center;
}

.weather-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  margin: 0 auto;
  border-radius: 10px;
  background: linear-gradient(180deg, rgb(199, 224, 245), rgb(248, 232, 201));
  box-shadow: 0 4px 8px 0 #f5f5f5, 0 6px 10px 0 #454546;
}

#weatherAPI {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  justify-content: center;
}

#current-temp,
#current-feel,
#current-press,
#weather-hr,
#weather-desc {
  padding-top: 10px;
  font-size: 20px;
  font-weight: 700;
}

#weather-desc {
  padding: 0;
  margin-left: 0;
  margin-right: 25%;
}

#weather-icon {
  width: 70px;
  margin-left: 25%;
  margin-right: 0;
}

.forecastAPI {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin: 1px;
  font-size: 10px;
}

.tfforecast {
  border-collapse: collapse;
  width: auto;
}

.tfforecast th,
.tfforecast td {
  text-align: center;
  text-shadow: 0px 0px 8px rgb(64, 87, 218);
}

#weatherAPI {
  text-shadow: 2px 8px 6px rgba(62, 116, 138, 0.8), 0px -5px 35px rgba(255, 255, 255, 0.651);
  text-align: center;
}

.tfforecast td img {
  padding-left: 5px;
  width: 45px;
  height: auto;
}

.tfforecast th span,
.tfforecast td span {
  font-size: 15px;
}

/*   gallery   */

.gallery {
  text-align: center;
}

figure {
  display: inline-block;
  margin: 10px;
  padding: 5px;
}

.figure-gallery img {
  width: 100%;
  height: 300px;
  padding: 5px;
  box-shadow: 0 4px 8px 0 #f5f5f5, 0 6px 10px 0 #454546;
}

.figcap-gallery {
  font-style: italic;
  margin-top: 5px;
}

.gallery h2 {
  margin: 50px;
  text-align: center;
}

/*  CONTAC US SECTION */

.contact {
  position: relative;
  padding: 30px;
  height: auto;
  text-shadow: 0 0 10px #161e25;
  color: whitesmoke;
  background-size: cover;
  background-image: url(/scoots/images/bg-contact-mobile.webp);
}

.contact div {
  margin: 60px;
}

.social.media {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  width: max-content;
}

.social p {
  font-size: 30px;
}

.social.icon {
  width: 30px;
  height: auto;
}

/* banner config  */
.promo {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.promo p {
  margin: 0vw;
  padding: 10px;
  text-align: center;
  font-size: 1.5em;
  background-color: var(--bg-color-body);

}

.text {
  display: none;
}

.close {
  background-color: whitesmoke;
}

/* Anitation provide by CodePen */
.banner,
.close {
  animation-name: parpadeo;
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;

  -webkit-animation-name: parpadeo;
  -webkit-animation-duration: 3s;
  -webkit-animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
}

@-moz-keyframes parpadeo {
  0% {
    opacity: 1.0;
  }

  50% {
    opacity: 0.0;
  }

  100% {
    opacity: 1.0;
  }
}

@-webkit-keyframes parpadeo {
  0% {
    opacity: 1.0;
  }

  50% {
    opacity: 0.0;
  }

  100% {
    opacity: 1.0;
  }
}

@keyframes parpadeo {
  0% {
    opacity: 1.0;
  }

  50% {
    opacity: 0.0;
  }

  100% {
    opacity: 1.0;
  }
}



.title {
  padding-top: 40px;
}

.contact-us {
  text-align: center;
}


/* form contact us */

.form-cont {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  margin: 10px;
  padding: 15px;
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 20px auto;
  padding-top: 10px;
  width: 330px;
}

input::placeholder {
  color: rgb(170, 175, 180);
}

.form-cont label {
  margin-bottom: 8px;
  align-self: flex-start;
  font-weight: bold;
  font-family: var(--font-text-h2-h3-navbar);
}

.form-cont input,
textarea {
  margin-bottom: 16px;
  padding: 8px;
  width: 330px;
  border: 4px;
  border-radius: 4px;
  font-family: var(--font-text-para);
}

.form-cont button {
  margin-top: 20px;
  width: calc(100% - 20px);
  padding: 10px 20px;
  cursor: pointer;
  border: none;
  border-radius: 4px;
}

.form img {
  margin-top: 20px;
}

.buttons {
  display: flex;
  flex-direction: row;
  gap: 20px;
  width: 100%;
}

button {
  background: var(--font-color-navbar-underline-cont);
}

button:hover {
  color: var(--br-color-a);
  background: var(--bg-color-navbar);
}

input:required,
textarea {
  border: 1px solid var(--font-color-navbar-underline-cont);
  border-left: 3px solid var(--font-color-navbar-underline-cont);
  border-right: 3px solid var(--font-color-navbar-underline-cont);
}


#error-message {
  margin: -10px 0 15px;
  text-transform: uppercase;
  font-weight: bold;
  color: red;
}

/* contact page*/

.map {
  position: relative;
}

iframe {
  border: none;
}

.gmap-canvas iframe {
  width: 100%;
  height: 600px;
}

.puerta-maya-branch,
.el-centro-branch {
  font-size: 2rem;
  text-shadow: 0 0 10px rgb(247, 216, 133);
}

.puerta-maya-branch {
  position: absolute;
  bottom: 15%;
  left: 25%;
}

.el-centro-branch {
  position: absolute;
  top: 6%;
  left: 30%;
}

/* contact page end */

footer {
  margin-top: 20px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(340px, 1fr));
  grid-template-areas:
    "";

  background: #dfe4b0;
}

.agreements {
  margin: 50px auto;
  padding: 5px;
  width: 480px;
  line-height: 1.5;
  background-image: linear-gradient(174.2deg, rgba(255, 244, 228, 1) 7.1%, rgba(240, 246, 238, 1) 67.4%);
  box-shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
}

.agreements ul {
  padding: 30px;
  list-style-type: square;
}

.form-cont {
  box-shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
}
